/* JSGalBuilder: (c) 2009 by Andreas S. Krebs
 * 
 * This file is part of JSGalBuilder.
 *
 * JSGalBuilder is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JSGalBuilder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JSGalBuilder.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sberk.jsgal.gui;

import java.awt.Component;

import javax.swing.Icon;

public interface IModelPanel
{
	public String getTitle();
	public String getTooltip();
	public Icon	getIcon();
	public Object getModel();
	public void saveUpdatedModel() throws Exception;
	public Object getSelectedObject();
	public void setSelectedObject(Object o);
	public Component getComponent();
	public boolean closePanel();
	
	public void showPopup(Component source, Object obj, int x, int y);
}